%define upstream_name Auth_HTTP
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.1.8
Release:     	%mkrel 7
Summary:    	HTTP authentication
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Auth_HTTP-%{version}.tgz
URL: 		http://pear.php.net/package/Auth_HTTP
BuildRequires: 	php-pear >= 1.4.7
Requires:	php-pear-Auth >= 1.2.0
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
The PEAR::Auth_HTTP class provides methods for creating an HTTP
authentication system using PHP, that is similar to Apache's
realm-based .htaccess authentication.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Auth_HTTP.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Auth_HTTP.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Auth_HTTP
fi

%files
%doc docs/Auth_HTTP/*
%{peardir}/*
%{xmldir}/Auth_HTTP.xml


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 2.1.8-7.mga6
+ Revision: 937471
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 2.1.8-6.mga6
+ Revision: 937024
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.8-5.mga5
+ Revision: 746676
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.8-4.mga5
+ Revision: 687172
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.8-3.mga4
+ Revision: 516489
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.1.8-2.mga3
+ Revision: 375878
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 11 2012 spuhler <spuhler> 2.1.8-1.mga2
+ Revision: 207483
- upgrade to 2.1.8
  pearized spec file

* Sun Jan 30 2011 spuhler <spuhler> 2.1.6-12.mga1
+ Revision: 44597
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Auth_HTTP


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.6-12mdv2011.0
+ Revision: 613614
- the mass rebuild of 2010.1 packages

* Tue Nov 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.6-11mdv2010.1
+ Revision: 464349
- spec cleanup
- use rpm filetriggers to register starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 2.1.6-10mdv2010.0
+ Revision: 440930
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.6-9mdv2009.1
+ Revision: 321892
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.6-8mdv2009.0
+ Revision: 236801
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.1.6-7mdv2008.1
+ Revision: 140729
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.6-7mdv2007.0
+ Revision: 81355
- Import php-pear-Auth_HTTP

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.6-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.6-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.6-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.6-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.6-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.6-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.6-1mdk
- initial Mandriva package (PLD import)

